Package org.apache.tomcat.util.http.parser

## Class AcceptLanguage

- java.lang.Object
- - org.apache.tomcat.util.http.parser.AcceptLanguage

    public class AcceptLanguage
    extends Object

### Constructor Summary

Constructors
`protected` `AcceptLanguage​(Locale locale, double quality)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Locale` `getLocale()`
`double` `getQuality()`
`static List<AcceptLanguage>` `parse​(StringReader input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcceptLanguage

    protected AcceptLanguage​(Locale locale,
                             double quality)

### Method Detail

#### getLocale

    public Locale getLocale()

#### getQuality

    public double getQuality()

#### parse

    public static List<AcceptLanguage> parse​(StringReader input)
                                      throws IOException

Throws:
  `IOException`